package com.company.bpmfile.app;

import io.jmix.bpm.entity.FileDescription;
import io.jmix.core.FileRef;
import io.jmix.core.FileStorage;
import org.springframework.stereotype.Component;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

@Component
public class ProcessFileManager {

    private FileStorage fileStorage;

    public ProcessFileManager(FileStorage fileStorage) {
        this.fileStorage = fileStorage;
    }

    public String saveFileToFileStorage(FileDescription fileDescription) throws IOException {
        try (InputStream is = new ByteArrayInputStream(fileDescription.getFileContent())) {
            FileRef fileRef = fileStorage.saveStream(fileDescription.getFileName(), is);
            return fileRef.toString();
        }
    }

    public FileRef saveFileToFileStorage2(FileDescription fileDescription) throws IOException {
        try (InputStream is = new ByteArrayInputStream(fileDescription.getFileContent())) {
            FileRef fileRef = fileStorage.saveStream(fileDescription.getFileName(), is);
            return fileRef;
        }
    }
}